Net::DNS::RR::HINFO(3)

NAME
Net::DNS::RR::HINFO - DNS HINFO resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name HINFO cpu os');

DESCRIPTION
Class for DNS Hardware Information (HINFO) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  cpu
    $cpu = $rr->cpu;
    $rr->cpu( $cpu );

Returns the CPU type for this RR.

  os
    $os = $rr->os;
    $rr->os( $os );

Returns the operating system type for this RR.

COPYRIGHT
Copyright (c)1997-1998 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1035 Section 3.3.2